# Uses of Interface
org.apache.qpid.proton.amqp.security.SaslFrameBody

Packages that use SaslFrameBody
Package
Description
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.engine.impl

## Uses of SaslFrameBody in org.apache.qpid.proton.amqp.security

Classes in org.apache.qpid.proton.amqp.security that implement SaslFrameBody
Modifier and Type
Class
Description
`final class`
`SaslChallenge`
`final class`
`SaslInit`
`final class`
`SaslMechanisms`
`final class`
`SaslOutcome`
`final class`
`SaslResponse`

## Uses of SaslFrameBody in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslFrameBody
Modifier and Type
Method
Description
`void`
SaslImpl.`handle(SaslFrameBody frameBody, Binary payload)`
`default void`
ProtocolTracer.`receivedSaslBody(SaslFrameBody saslFrameBody)`
`default void`
ProtocolTracer.`sentSaslBody(SaslFrameBody saslFrameBody)`